##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""CMF link checker tool initalisation code

$Id: __init__.py,v 1.2 2003/12/17 18:50:16 ctheune Exp $"""

# Zope imports
from Products.CMFCore import utils, DirectoryView

# Linkchecker imports
import LinkCheckerTool

linkchecker_globals = globals()

tools = (LinkCheckerTool.LinkCheckerTool, )

# Register skin directories
DirectoryView.registerDirectory('skins', linkchecker_globals)


def initialize(context):
    utils.ToolInit('CMFLinkChecker Tool', tools=tools,
                product_name='CMFLinkChecker', icon="tool.gif").initialize(context)

