##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""Customized HTML parser to find images in an imglist (similar to anchorlist)

$Id: lchtmllib.py,v 1.1 2003/12/17 18:50:16 ctheune Exp $"""
from htmllib import HTMLParser

class LCHTMLParser(HTMLParser):

    imglist = []

    def do_img(self, attrs):
        for attrname, value in attrs:
            if attrname == "src":
                self.imglist.append(value)
